Summary: Client for sending messages to a host's logged in users.
Name: rwall
Version: 0.17
Release: 13m
License: BSD
Group: System Environment/Daemons
%NoSource 0 ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-rwall-%{version}.tar.gz c7a85262fc9911e0574ce5706ce69369
Source1: rwalld.init
Patch1: netkit-rwalld-0.10-banner.patch
Patch2: rwall.fhs.patch
Patch3: netkit-rwall-0.17-strip.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The rwall command sends a message to all of the users logged into a
specified host.  Actually, your machine's rwall client sends the
message to the rwall daemon running on the specified host, and the
rwall daemon relays the message to all of the users logged in to that
host.

Install rwall if you'd like the ability to send messages to users
logged in to a specified host machine.

%package server
Summary: Server for sending messages to a host's logged in users.
PreReq: chkconfig
Group: System Environment/Daemons
Requires: portmap

%description server
The rwall command sends a message to all of the users logged into
a specified host.  The rwall-server package contains the daemon for
receiving such messages, and is disabled by default on Red Hat Linux
systems (it can be very annoying to keep getting all those messages
when you're trying to play Quake--I mean, trying to get some work done).

Install rwall-server if you'd like the ability to receive messages
from users on remote hosts.

%prep
%setup -q -n netkit-rwall-%{version}
%patch1 -p1 -b .banner
%patch2 -p1
%patch3 -p1 -b .strip

%build
sh configure --with-c-compiler=gcc
perl -pi -e 's,-O2,\$(RPM_OPT_FLAGS),' MCONFIG

make RPM_OPT_FLAGS="%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}%{_mandir}/man1
mkdir -p %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_initscriptdir}
make INSTALLROOT=%{buildroot} MANDIR=%{_mandir} install
install -m 755 $RPM_SOURCE_DIR/rwalld.init %{buildroot}%{_initscriptdir}/rwalld

%clean
rm -rf %{buildroot}

%post server
/sbin/chkconfig --add rwalld

%preun server
if [ $1 = 0 ]; then
    /sbin/chkconfig --del rwalld
fi

%files
%defattr(-,root,root)
/usr/bin/rwall
%{_mandir}/man1/rwall.1*

%files server
%defattr(-,root,root)
/usr/sbin/rpc.rwalld
%{_mandir}/man8/rpc.rwalld.8*
%{_mandir}/man8/rwalld.8*
%config %{_initscriptdir}/rwalld

%ChangeLog
* Thu Apr 22 2004 Toru Hoshina <t@momonga-linux.org>
- (0.17-13m)
- rebuild against new environment.

* Fri Apr 13 2001 Shingo Akagaki <dora@kondara.org>
- /etc/rc.d/init.d -> /etc/init.d

* Sat Feb  3 2001 Daiki Matsuda <dyky@df-usa.com>
- (0.16-15k)
- rebuild againt rpm-3.0.5-39k

* Wed Nov 29 2000 Kenichi Matsubara <m@kondara.org>
- /etc/rc.d/init.d to %{_initscriptdir}

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon Apr 24 2000 tom <tom@kondara.org>
- Kondarize :-P

* Fri Feb 11 2000 Bill Nottingham <notting@redhat.com>
- fix description

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man pages.

* Sat Feb  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change %postun to %preun

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix descriptions and summary
- man pages are compressed

* Mon Jan  4 2000 Bill Nottingham <notting@redhat.com>
- split client and server

* Tue Dec 21 1999 Jeff Johnson <jbj@redhat.com>
- update to 0.16.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 22)

* Mon Mar 15 1999 Jeff Johnson <jbj@redhat.com>
- compile for 6.0.

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscript

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (didn't include function library)
- doesn't invoke wall with -n anymore

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added a chkconfig compatible initscript
- added %attr attributes

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
